'Imports SQLCompare.clDBObject
'Reference info on http://msdn2.microsoft.com/en-us/library/xth2y6ft(VS.71).aspx
'Search at http://search.msdn.microsoft.com/search/Default.aspx?query=create+a+collection+class&brand=msdn&locale=en-us&refinement=00&lang=en-us
Imports Microsoft.VisualBasic
Public Class clDBTableObject
	Inherits clDBObject

	'Dim Name As String
	'Dim Type As ObjectType
	Dim ColumnName As String
	Dim DataType As String
	Dim ColumnLength As Integer
	Dim CNMatched As Boolean = False
	Dim DTMatched As Boolean = False
	'Types of objects that will exist in DBObjects

	Public Property Column_Name() As String
		Get
			Return ColumnName
		End Get
		Set(ByVal value As String)
			ColumnName = value
		End Set
	End Property
	Public Property Data_Type() As String
		Get
			Return DataType
		End Get
		Set(ByVal value As String)
			DataType = value
		End Set
	End Property
	Public ReadOnly Property Ext_Data_Type() As String
		Get
			Select Case DataType
				Case "char", "nchar", "nvarchar", "varchar"
					Return DataType & "(" & CType(ColumnLength, String) & ")"
				Case Else
					Return DataType
			End Select
		End Get
	End Property
	Public Property Column_Length() As Integer
		Get
			Return ColumnLength
		End Get
		Set(ByVal value As Integer)
			ColumnLength = CType(value, Integer)
		End Set
	End Property
	Public Property ColumnNameMatched() As Boolean
		Get
			Return CNMatched
		End Get
		Set(ByVal value As Boolean)
			CNMatched = value
		End Set
	End Property
	Public Property DataTypeMatched() As Boolean
		Get
			Return DTMatched
		End Get
		Set(ByVal value As Boolean)
			DTMatched = value
		End Set
	End Property
	Public ReadOnly Property FullName() As String
		Get
			Return Me.Object_Name & "." & ColumnName
		End Get
	End Property
End Class


Public Class clDBTableObjects
	Inherits CollectionBase
	Dim databasename As String
	Public Sub New(ByVal DatabaseName As String)
		Me.databasename = DatabaseName
	End Sub

	Public Sub Add(ByVal aDBObject As clDBTableObject)
		List.Add(aDBObject)
	End Sub
	Public Sub Remove(ByVal index As Integer)
		' Check to see if there is a widget at the supplied index.
		If index > Count - 1 Or index < 0 Then
			' If no widget exists, a messagebox is shown and the operation is 
			' cancelled.
		Else
			' Invokes the RemoveAt method of the List object.
			List.RemoveAt(index)
		End If
	End Sub
	Public ReadOnly Property Item(ByVal index As Integer) As clDBTableObject
		Get
			' The appropriate item is retrieved from the List object and 
			' explicitly cast to the Widget type, then returned to the 
			' caller.
			Return CType(List.Item(index), clDBTableObject)
		End Get
	End Property
	Public Property Database_Name() As String
		Get
			Return databasename
		End Get
		Set(ByVal value As String)
			databasename = value
		End Set
	End Property

End Class

