SELECT d1o.[name] AS ObjName, 
 d1o.type	AS ObjType, 
 d1c.[name]	AS ColName, 
 d1t.[name]	As DataType, 
 d1c.length	As ColLngth,
 d1o.Id	AS ObjID  
FROM dbo.sysobjects d1o 
	INNER JOIN dbo.syscolumns d1c 
		ON d1o.id = d1c.id 
	INNER JOIN dbo.systypes d1t 
		ON d1c.xusertype = d1t.xusertype 
WHERE  d1o.type IN ('U', 'V')
	AND d1o.[name] NOT IN (  
			'dtproperties',  
			'MSpub_identity_range',  
			'MSreplication_subscriptions',  
			'MSsubscription_agents',  
			'MSsubscription_properties',  
			'sysalternates',  
			'sysarticles',  
			'sysarticleupdates',  
			'syspublications',  
			'sysschemaarticles',  
			'syssubscriptions',  
			'sysconstraints',  
			'sysextendedarticlesview',  
			'syssegments',  
			'systranschemas' )  
			 AND d1o.[name] NOT LIKE 'syncobj_%' 
			 AND d1o.[name] NOT LIKE '_h%'
			 AND d1o.Id IN (IN CLAUSE GETS INSERTED HERE) 
ORDER BY d1o.[name], d1c.[name]
