SELECT d1o.[name] AS ObjectName, 
  d1o.type AS ObjectType, 
  d1o.Id As ObjectID, 
  --DDL code removed until DDL functionality can be repaired.
  --ISNULL(d1c.[text],'') AS ObjectDDL, 
  '' AS ObjectDDL, 
  --ISNULL(SOUNDEX(SUBSTRING(REPLACE(REPLACE(REPLACE(d1c.[text],' ',''),'-',''),'*',''), 4,100)),'0000') As Soundex 
  '' AS [Soundex]
FROM dbo.sysobjects d1o 
	--LEFT OUTER JOIN dbo.syscomments d1c 
	--		ON d1o.id = d1c.id 
WHERE d1o.type IN ( 
		'FN', 
		'IF', 
		'P', 
		'TF', 
		'TR', 
		'U', 
		'V', 
		'X' 
		  ) AND d1o.[name] NOT IN (  
		'dtproperties',  
		'MSpub_identity_range',  
		'MSreplication_subscriptions',  
		'MSsubscription_agents',  
		'MSsubscription_properties',  
		'sysalternates',  
		'sysarticles',  
		'sysarticleupdates',  
		'syspublications',  
		'sysschemaarticles',  
		'syssubscriptions',  
		'sysconstraints',  
		'sysextendedarticlesview',  
		'syssegments',  
		'systranschemas' )  
		 AND d1o.[name] NOT LIKE 'syncobj_%' 
		 AND d1o.[name] NOT LIKE '_h%' 
ORDER BY d1o.[name] 
OPTION (ROBUST PLAN)
