Imports System.Data.SqlClient
Imports clSQLCompare


Partial Class DBMSSelection
	Inherits System.Web.UI.Page
	Dim conn As New SqlConnection()
	Dim cmdSQL As New SqlCommand()											'Command object for SQl text
	Dim rdSQLReader As SqlDataReader										'Reader for connection object

	Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
		Session("DBMS") = Me.cmbDBMS.SelectedItem.Text
		Session("Database") = Me.cmbDatabase.SelectedItem.Text
		Response.Redirect("Default.aspx")
	End Sub

	Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
		Session("DBMS") = ""
		Session("Database") = ""
		Response.Redirect("Default.aspx")
	End Sub

	Private Sub DBMSSelection_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

		If Not Me.IsPostBack Then

			Me.cmbDBMS.Items.Clear()
			Call ConnectDBMS(conn, "MOSTLS1SQLSRV04.DataDictionary", "")
			'If we failed, close gracefully.. On Error statement will direct us to the end
			'If frmMain.txtResult.Text.Contains("not found") Then
			'	Throw New System.Exception("Error thrown while accessing DataDictionary database.")
			'End If

			'Query the standard DBMS
			cmdSQL.CommandText = "SELECT DBMS_NAME FROM dbo.DBMS WHERE DBMS_ACTIVE = 1 ORDER BY SERVER_NAME"
			cmdSQL.Connection = conn
			rdSQLReader = cmdSQL.ExecuteReader()

			'Walk through each row of the data reader collecting the result set into an array.
			Do While rdSQLReader.Read()
				Me.cmbDBMS.Items.Add(rdSQLReader("DBMS_NAME"))
			Loop
			rdSQLReader.Close()
			conn.Close()

			Call LookupDatabases()

		End If




	End Sub


	Protected Sub cmbDBMS_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmbDBMS.TextChanged
		Call LookupDatabases()
	End Sub

	Sub LookupDatabases()
		Me.cmbDatabase.Items.Clear()

		Call clSQLCompare.ConnectDBMS(conn, Me.cmbDBMS.SelectedItem.ToString & ".master", "")
		'If we failed, close gracefully.. On Error statement will direct us to the end
		'If frmMain.txtResult.Text.Contains("not found") Then
		'	Throw New System.Exception("Error thrown while accessing " & Me.cmbDBMS.SelectedItem.ToString & ".master database.")
		'End If

		'Query the standard DBMS
		cmdSQL.CommandText = "SELECT [name] FROM dbo.sysdatabases WHERE [name] NOT IN ('master', 'model', 'tempdb', 'msdb', 'Distribution')"
		cmdSQL.Connection = conn
		rdSQLReader = cmdSQL.ExecuteReader()

		'Walk through each row of the data reader collecting the result set into an array.
		Do While rdSQLReader.Read()
			Me.cmbDatabase.Items.Add(rdSQLReader("name"))
		Loop
		rdSQLReader.Close()
		conn.Close()


	End Sub


End Class
